import type { ObservableMap } from "mobx";
import type { ExtensionRegistry, KubeconfigSyncEntry, KubeconfigSyncValue, TerminalConfig } from "./preferences-helpers";
export type PreferenceDescriptors = ReturnType<typeof userPreferenceDescriptorsInjectable["instantiate"]>;
declare const userPreferenceDescriptorsInjectable: import("@ogre-tools/injectable").Injectable<{
    readonly httpsProxy: import("./preferences-helpers").PreferenceDescription<string | undefined, string | undefined>;
    readonly shell: import("./preferences-helpers").PreferenceDescription<string | undefined, string | undefined>;
    readonly colorTheme: import("./preferences-helpers").PreferenceDescription<string, string>;
    readonly terminalTheme: import("./preferences-helpers").PreferenceDescription<string, string>;
    readonly localeTimezone: import("./preferences-helpers").PreferenceDescription<string, string>;
    readonly allowUntrustedCAs: import("./preferences-helpers").PreferenceDescription<boolean, boolean>;
    readonly allowErrorReporting: import("./preferences-helpers").PreferenceDescription<boolean, boolean>;
    readonly downloadMirror: import("./preferences-helpers").PreferenceDescription<string, string>;
    readonly downloadKubectlBinaries: import("./preferences-helpers").PreferenceDescription<boolean, boolean>;
    readonly downloadBinariesPath: import("./preferences-helpers").PreferenceDescription<string | undefined, string | undefined>;
    readonly kubectlBinariesPath: import("./preferences-helpers").PreferenceDescription<string | undefined, string | undefined>;
    readonly openAtLogin: import("./preferences-helpers").PreferenceDescription<boolean, boolean>;
    readonly terminalCopyOnSelect: import("./preferences-helpers").PreferenceDescription<boolean, boolean>;
    readonly hiddenTableColumns: import("./preferences-helpers").PreferenceDescription<[string, string[]][], Map<string, Set<string>>>;
    readonly syncKubeconfigEntries: import("./preferences-helpers").PreferenceDescription<KubeconfigSyncEntry[], ObservableMap<string, KubeconfigSyncValue>>;
    readonly editorConfiguration: import("./preferences-helpers").PreferenceDescription<Partial<Required<import("./preferences-helpers").BaseEditorConfiguration>>, Required<import("./preferences-helpers").BaseEditorConfiguration>>;
    readonly terminalConfig: import("./preferences-helpers").PreferenceDescription<Partial<TerminalConfig>, TerminalConfig>;
    readonly extensionRegistryUrl: import("./preferences-helpers").PreferenceDescription<ExtensionRegistry, ExtensionRegistry>;
}, unknown, void>;
export default userPreferenceDescriptorsInjectable;
